Skip to main content

Overview

Reprompt determines business status and returns a structured open_closed_status with:
  • status (enum): One of "Open", "Closed", "Temporarily Closed", or "No Internet Presence"
  • reasoning (string): Explanation with referenced sources
  • confidence (enum): VERY_HIGH, HIGH, MEDIUM, LOW, or NONE

Status Values

class OpenClosedStatus(str, Enum):
    NO_INTERNET_PRESENCE = "No Internet Presence"
    OPEN = "Open"
    CLOSED = "Closed"
    TEMPORARILY_CLOSED = "Temporarily Closed"

Usage Example

To enrich a place with open/closed status information:
cURL
curl -X POST \
  'https://reprompt--reprompt-fastapi-fastapi-app.us-west.modal.run/{your_org_slug}/place_enrichment/enrich' \
  -H 'Authorization: Bearer {YOUR_API_KEY}' \
  -H 'Content-Type: application/json' \
  -d '{
    "inputs": {
      "place_id": "my_place_123",
      "name": "Joe'\''s Pizza",
      "latitude": 40.7359,
      "longitude": -73.9911,
      "full_address": "7 Carmine St, New York, NY 10014"
    },
    "attributes": ["closed_permanently"]
  }'
Response:
{
  "place_id": "my_place_123",
  "outputs": {
    "closed_permanently": {
      "status": "Open",
      "confidence": "HIGH",
      "reasoning": "Recent activity confirmed from multiple credible sources; business appears to be operating normally."
    }
  }
}

Determining Status

No Internet Presence

  • Places are defined as having no internet presence if:
    • Web sources have no exact business name match and
    • Web sources have no plausible partial address match tied to the business name

Permanently Closed vs Temporarily Closed vs Open

  • Permanently closed: Reprompt will return Closed if there is evidence of:
    • Explicit closure signals from first-party web or social
    • Explicit closure signals from multiple corroborated 3rd party sources
    • Specifically for businesses with a customer-facing storefront: Lack of first-party web or social presence and lack of corroborated 3rd party sources will mark the business as permanently closed. For instance, a Joe’s Pizza in New York City that has no first-party presence and is only listed on MapQuest and Better Business Bureau from 2009 will be marked as permanently closed without an explicit signal, based on absense of information from up to date sources.
  • Temporarily Closed: Requires official temporary closure signals from first-party sources (First party web or social)
  • Bias: There is a high bar for marking a business as permanently closed. The agent will bias towards Open if there is sufficient evidence of existence and operation from up to date web sources.
Specific cases:
  • Minor name variations: Slight variations in the name will be treated as the same place. For example, “Joe’s Pizza” and “Joseph Hot Wings and Pizza” at the same address will be treated as the same place. A closure announcement of “Joe’s Pizza” will impact “Joseph Hot Wings and Pizza”
  • Significant name variations: If the name is significantly different, the agent will treat the business as a different place. For example, “Joe’s Pizza” and “Mystic Pizza” at the same address will be treated as different places. A closure announcement of “Joe’s Pizza” will not impact “Mystic Pizza”